#include "../krom.h"

	.section .boot, "ax", %progbits
	.arm

	.globl start
	.type start, %function
start:
	// On reset: SV mode, IRQ/FIQ disabled.
	// this jumps from 0000`0000 to 0400`0004
	ldr pc, =start2

start2:
	// F_CTRL = 3 (disable mirroring KROM to 0x0000`0000?)
	mov r0, #3
	mov r1, #0x06000000 // F_CTRL
	strb r0, [r1]

	b main

	// NOTE: this must at 0400`0014
	.word 0x20151224

	.pool

	.section .footer, "a", %progbits
	.ascii "C900"
