#include "common_S.h"

public_func enableFlashWrite
	// breaks r2, r3. you can assume r0, r1 are unchanged.
	// enable flash write TODO lib?
	ldr r2, =0xFFAA
	ldr r3, =0x080055AA // PFLA+55AA
	strh r2, [r3]
	ldr r2, =0xFF55
	ldr r3, =0x08002A54 // PFLA+2A54
	strh r2, [r3]
	ldr r2, =0xFFA0
	ldr r3, =0x080055AA // PFLA+55AA
	strh r2, [r3]

	bx lr

	.pool

public_func waitThenMakeFlashRO
	// maybe strict clock restrict? use original method...
#if 1
	mov r0, #0
	mov r1, #800 // yes, not 0x0800. decimal 800.
1:
	add r0, #1
	cmp r0, r1
	blt 1b
#else
	// optimized but too fast?
	mov r0, #800 // yes, not 0x0800. decimal 800.
1:
	subs r0, #1
	bpl 1b
#endif

	// wait until F_WAIT2 bit3 sets
	mov r1, #0x06000000
1:
	ldr r0, [r1, #0x10] // F_WAIT2
/*
	lsrs r0, #3
	bcc 1b
/*/
	tst r0, #0x00000004
	beq 1b
//*/

	mov r0, #0
	str r0, [r1, #0x10] // F_WAIT2

	bx lr

public_func clearCustomHandlers
	mov r0, #0
	.reloc ., R_ARM_ABS8, CustomHandlers
	mov r1, #0
	str r0, [r1, #0]
	str r0, [r1, #4]
	str r0, [r1, #8]
	str r0, [r1, #0x0C]
	bx lr
